Delaunay triangulation script attribute arror

2013-06-17 07:11 AM - Kai Li

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Kubuntu Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16928

Description

Hello,

When I use Delaunay triangulation of fTools of Qgis version 1.9.0+git20130615+192e130~precise-ubuntugis1 (precise), I got following

error:

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/fTools/tools/doGeometry.py", line 285, in runFinishedFromThread

    self.tr( "Created output shapefile:\

%1\

%2\

\

Would you like to add the new layer to the TOC?" ).arg( unicode( self.shapefileName ) ).arg( extra ),

AttributeError: 'unicode' object has no attribute 'arg'

Python version:

2.7.3 (default, Aug  1 2012, 05:25:23) 

[GCC 4.6.3]

QGIS version:

1.9.0-Master Master, exported

History

#1 - 2013-06-17 07:25 AM - Matthias Kuhn

- Status changed from Open to Closed

Thank you for filling this bug.

This problem is solved already in commit:b96f67b

Please update (in case your repository does not contain the update yet, wait for tomorrow)

If you find further bugs, don't hesitate to open a new bug report.

#2 - 2017-05-01 01:21 AM - Giovanni Manghi
The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
